SDL_GetDisplays(3)

NAME
SDL_GetDisplays - Get a list of currently connected displays.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_DisplayID * SDL_GetDisplays(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of displays returned, may be NULL.

RETURN VALUE
Returns a 0 terminated array of display instance IDs or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.